Summary:        Perl module to read TNEF files
Name:           perl-Convert-TNEF
Version:        0.17
Release:        6%{?dist}

License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Convert-TNEF/
Source0:        http://www.cpan.org/authors/id/D/DO/DOUGW/Convert-TNEF-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:      noarch
BuildRequires:  perl-MIME-tools
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
TNEF stands for Transport Neutral Encapsulation Format, and if you've
ever been unfortunate enough to receive one of these files as an email
attachment, you may want to use this module.

%prep
%setup -q -n Convert-TNEF-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

perldoc -t perlgpl > COPYING
perldoc -t perlartistic > Artistic


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING Artistic
%{perl_vendorlib}/Convert
%{_mandir}/man3/Convert::TNEF.3pm*


%changelog
* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.17-6
- Fix find option order.

* Mon Sep 05 2005 Steven Pritchard <steve@kspei.com> 0.17-5
- Spec cleanup (closer to FE perl spec template).
- Include COPYING and Artistic.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Apr 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.17-0.fdr.3
- Specfile rewrite according to current fedora.us perl spec template.
- Fix License.
- BuildRequires perl-MIME-tools (bug 370).

* Fri Jul 11 2003 Dams <anvil[AT]livna.org> 0:0.17-0.fdr.2
- Changed Group tag value
- Added "make test" in build section
- Added missing directory

* Sun Jun 15 2003 Dams <anvil[AT]livna.org>
- Initial build.
